
Redmine - Feature #21969

Add a wiki action to list (lost/hidden) pages which are not referenced in the parent page

2016-02-07 21:26 - fabrice salvaire

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Wiki pages could be "lost" when you edit a page, i.e. when you remove the [[page]] marker in the parent page. Since Redmine has a

redundant referencing system ([[page]] marker and the parent link), it could be easy to visit the wiki and tag pages which have a

parent link but not referenced in the parent page (any [[page]] marker).

We could also imagine to colourize these pages in the index or insert a warning in the wiki page.

MoinMoin wiki has a such function to check for lost pages.

History

#1 - 2016-02-29 15:32 - Toshi MARUYAMA

- Category set to Wiki

#2 - 2016-09-10 21:11 - fabrice salvaire

This plugin implements this feature https://github.com/bluezio/redmine_wiki_backlinks/

It should be integrated in redmine.
